Skærm/Grafikkort R9 280X - fungerer ikke længere i 14.04

Forum for support til grafik og lydkort.
nsl
Indlæg: 70
Tilmeldt: 17. apr 2014, 16:33
IRC nickname: nsl

Skærm/Grafikkort R9 280X - fungerer ikke længere i 14.04

Indlægaf nsl » 7. feb 2015, 12:31

Hej !
I var meget hjælpesomme sidste gang, så jeg prøver gerne igen :-)
Jeg har en 4k skærm, og følgende grafikkort (R9 280X), her vist via lspci:

Kode: Vælg alt

01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Tahiti XT [Radeon HD 7970/8970 OEM / R9 280X]


Jeg fik god hjælp under tråden: "Asus 4k UHD skærm ved 60 Hz i Ubuntu 14.04?" til at få det hele til at spille sammen.
Og det kørte fint længe - indtil opdatering xxx-44 (mener jeg, at det var), her måtte jeg til slut gå tilbage og køre version xxx-43 (valgt via startmenuen). Så kom der en opdatering xxx-45 her forleden, og efter jeg installerede denne, virkede det slet ikke mere - heller ikke under xxx-43.
Jeg rodede noget frem og tilbage med drivere hele i går, og ved ikke helt hvordan, men kom til sidst tilbage til XORG driverne.
Så jeg fik endelig grafisk skærmbillede igen, efter at have brugt det meste af dagen foran terminalens tekst-vinduer.

Men med XORG driverne, kører min skærm 56Hz (xrandr siger 88?), og de yderste ca 3-4 cm af skærmens højre side "blafrer". Der er også en del programmer (fx systemindstillinger og apearance), som ikke vil køre mere :-( Men dertil skal siges, at "compize" (er det ikke sådan, den originale setup hedder?) crasher, så jeg kører et andet skærmlayout.
Resultat af xrandr:

Kode: Vælg alt

xrandr: Failed to get size of gamma for output default
Screen 0: minimum 3840 x 2160, current 3840 x 2160, maximum 3840 x 2160
default connected primary 3840x2160+0+0 0mm x 0mm
   3840x2160      88.0*


Jeg har så forsøgt at installere fglrx (Catalyst Omega 14.12) fra amd igen, men det virker ikke efter hensigten :-(
Den fantastiske kommande: "sudo dpkg --configure -a && sudo apt-get autoremove && sudo apt-get update && sudo apt-get upgrade" giver følgende:

Kode: Vælg alt

dpkg: afhængighedsproblemer forhindrer konfiguration af fglrx:
 fglrx afhænger af fglrx-core; men:
  Pakken 'fglrx-core' er ikke installeret.

dpkg: error processing package fglrx (--configure):
 afhængighedsproblemer - efterlader den ukonfigureret
dpkg: afhængighedsproblemer forhindrer konfiguration af fglrx-amdcccle:
 fglrx-amdcccle afhænger af fglrx; men:
  Pakken fglrx er ikke sat op endnu.

dpkg: error processing package fglrx-amdcccle (--configure):
 afhængighedsproblemer - efterlader den ukonfigureret
Der opstod fejl under behandlingen:
 fglrx
 fglrx-amdcccle


Er der en, der kan fortælle mig, hvordan jeg kommer videre og får installeret de rigtige drivere korrekt? Og gerne får mine programmer tilbage igen? :-)
./nick :-)

AJenbo
Admin
Indlæg: 20525
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Skærm/Grafikkort R9 280X - fungerer ikke længere i 14.04

Indlægaf AJenbo » 7. feb 2015, 12:52

version xxx af hvad og hvad er xxx?

Køre du med gnome legacy eller noget andet i den dur?

Du har fået afbrudt installationen af AMD driveren og den sider nu fast hvor den er halvejs installeret. Prøv:

Kode: Vælg alt

sudo apt-get purge fglrx-core fglrx fglrx-amdcccle; sudo apt-get install -f


Du skulle gerne kunne skifte drivere grafisk fra yderligere drivere i software og opdateringer.

nsl
Indlæg: 70
Tilmeldt: 17. apr 2014, 16:33
IRC nickname: nsl

Re: Skærm/Grafikkort R9 280X - fungerer ikke længere i 14.04

Indlægaf nsl » 7. feb 2015, 13:41

Hej AJenbo

Takker for svaret :-) Jeg har lige ledt efter de rigtige navne :-)

Med "xxx-45" mente jeg "Ubuntu, med Linux 3.13.0-45-generic" - jeg kunne bare ikke huske, hvad det nøjagtigt hed.

Jeg kører "Gnome flashback (metacity)" lige nu, da "Ubuntu (standard)" crasher med det samme, jeg starter op.

Efter at have kørt foreslåede:

Kode: Vælg alt

sudo apt-get purge fglrx-core fglrx fglrx-amdcccle; sudo apt-get install -f

slap jeg af med fglrx, men jeg kan stadig ikke skifte til fglrx-updates, efter reboot er den tilbage ved x.org igen?

Jeg forsøgte at køre en softwareopdatering igen, og får "Programmet Software Updater lukkede uventet ned" .. og "Pakkesystemet er beskadiget: Kontrollér om du anvender tredjepartsarkiver. Deaktiver dem hvis de benyttes, da de er en almindeligt kendt kilde til problemer. Kør derudover denne kommando i en terminal: apt-get install -f"

Når jeg så kører "sudo apt-get install -f", før jeg følgende:

Kode: Vælg alt

Indlæser pakkelisterne... Færdig
Opbygger afhængighedstræ       
Læser tilstandsoplysninger... Færdig
Retter afhængigheder ... Færdig
Følgende yderligere pakker vil blive installeret:
  fglrx-updates
Følgende NYE pakker vil blive installeret:
  fglrx-updates
0 opgraderes, 1 nyinstalleres, 0 afinstalleres og 0 opgraderes ikke.
1 ikke fuldstændigt installerede eller afinstallerede.
0 B/58,9 MB skal hentes fra arkiverne.
Efter denne handling, vil 260 MB yderligere diskplads være brugt.
Vil du fortsætte? [J/n]
(Læser database ... 687035 filer og kataloger installeret i øjeblikket.)
Preparing to unpack .../fglrx-updates_2%3a13.350.1-0ubuntu2_amd64.deb ...
One or more files have been altered since installation.
Uninstall will not be completed. See /etc/ati/fglrx-uninstall.log for details.
dpkg: error processing archive /var/cache/apt/archives/fglrx-updates_2%3a13.350.1-0ubuntu2_amd64.deb (--unpack):
 underproces nyt pre-installation-script returnerede afslutningsstatus 1
Der opstod fejl under behandlingen:
 /var/cache/apt/archives/fglrx-updates_2%3a13.350.1-0ubuntu2_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


og den omtalte logfil (/etc/ati/flgrx-uninstall.log) indeholder følgende:

Kode: Vælg alt

*** AMD Catalyst(TM) Proprietary Driver Uninstall Log 2015-02-07 13:29:58 ***
md5sum integrity check failed for /usr/share/ati/amdcccle/amdcccle_cs.qm.
md5sum integrity check failed for /usr/share/ati/amdcccle/amdcccle_da_DK.qm.
md5sum integrity check failed for /usr/share/ati/amdcccle/amdcccle_de.qm.
md5sum integrity check failed for /usr/share/ati/amdcccle/amdcccle_el_GR.qm.
md5sum integrity check failed for /usr/share/ati/amdcccle/amdcccle_es_ES.qm.
md5sum integrity check failed for /usr/share/ati/amdcccle/amdcccle_fi_FI.qm.
md5sum integrity check failed for /usr/share/ati/amdcccle/amdcccle_fr_FR.qm.
md5sum integrity check failed for /usr/share/ati/amdcccle/amdcccle_hu_HU.qm.
md5sum integrity check failed for /usr/share/ati/amdcccle/amdcccle_it_IT.qm.
md5sum integrity check failed for /usr/share/ati/amdcccle/amdcccle_ja.qm.
md5sum integrity check failed for /usr/share/ati/amdcccle/amdcccle_ko_KR.qm.
md5sum integrity check failed for /usr/share/ati/amdcccle/amdcccle_nl_NL.qm.
md5sum integrity check failed for /usr/share/ati/amdcccle/amdcccle_no.qm.
md5sum integrity check failed for /usr/share/ati/amdcccle/amdcccle_pl.qm.
md5sum integrity check failed for /usr/share/ati/amdcccle/amdcccle_pt_BR.qm.
md5sum integrity check failed for /usr/share/ati/amdcccle/amdcccle_ru_RU.qm.
md5sum integrity check failed for /usr/share/ati/amdcccle/amdcccle_sv_SE.qm.
md5sum integrity check failed for /usr/share/ati/amdcccle/amdcccle_th.qm.
md5sum integrity check failed for /usr/share/ati/amdcccle/amdcccle_tr_TR.qm.
md5sum integrity check failed for /usr/share/ati/amdcccle/amdcccle_zh_CN.qm.
md5sum integrity check failed for /usr/share/ati/amdcccle/amdcccle_zh_TW.qm.
File is missing from system /usr/bin/amdcccle.
File is missing from system /usr/bin/amdxdg-su.
File is missing from system /usr/bin/amdupdaterandrconfig.
File is missing from system /usr/share/ati/lib64/libQtCore.so.4.
File is missing from system /usr/share/ati/lib64/libQtGui.so.4.
File is missing from system /usr/lib/i386-linux-gnu/libOpenCL.so.1.
File is missing from system /usr/lib/fglrx/switchlibGL.
File is missing from system /usr/lib/fglrx/switchlibglx.
File is missing from system /usr/lib/libAMDXvBA.cap.
File is missing from system /usr/lib/libAMDXvBA.so.1.0.
File is missing from system /usr/lib/libXvBAW.so.1.0.
File is missing from system /usr/lib/libfglrx_dm.a.
File is missing from system /usr/lib/libfglrx_dm.so.1.0.
File is missing from system /usr/include/GL/glATI.h.
File is missing from system /usr/include/GL/glxATI.h.
File is missing from system /usr/include/ATI/GL/glx.h.
File is missing from system /usr/include/ATI/GL/glxext.h.
File is missing from system /usr/bin/fgl_glxgears.
File is missing from system /usr/bin/fglrxinfo.
File is missing from system /usr/bin/aticonfig.
File is missing from system /usr/bin/atiode.
File is missing from system /usr/sbin/amdnotifyui.
File is missing from system /usr/sbin/atieventsd.
File is missing from system /etc/ati/amdpcsdb.default.
File is missing from system /etc/ati/atiapfxx.
File is missing from system /etc/ati/atiapfxx.blb.
File is missing from system /etc/ati/atiapfxx.log.
File is missing from system /etc/ati/authatieventsd.sh.
/usr/bin/md5sum: /etc/ati/control: Er et filkatalog
md5sum integrity check failed for /etc/ati/control.
File is missing from system /etc/ati/logo.xbm.example.
File is missing from system /etc/ati/logo_mask.xbm.example.
File is missing from system /etc/ati/signature.
File is missing from system /usr/bin/amdconfig.
One or more files have been altered since installation.
Uninstall will not be completed.

To force uninstall, removing all installed files without verification,
run /usr/share/ati/amd-uninstall.sh --force.

Forcing uninstall is not recommended and may cause system corruption.


Og jeg har selvsagt stadig den blafrende højre side af skærmen ..

Virker "Apperance" og "Systemindstillinger" i øvrigt ikke under Gnome flashback?
./nick :-)

AJenbo
Admin
Indlæg: 20525
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Skærm/Grafikkort R9 280X - fungerer ikke længere i 14.04

Indlægaf AJenbo » 7. feb 2015, 14:09

kør følgende:

Kode: Vælg alt

sudo run /usr/share/ati/amd-uninstall.sh --force; sudo apt-get purge fglrx-core fglrx fglrx-amdcccle; sudo apt-get install -f


Jeg har ikke erfaring med gnome-flashback, men det er ikke en desktop med særlig meget fokus, fortrækker den vil jeg i stedet forslå Mate eller Xubuntu. Kan se ud fra din Linux version at du køre ubuntu 14.04, hade du prøvet med 14.10, det kunne være de nyre driver der i hjælper? Ellers ville jeg forslå Gnome 3 (shell) eller at finde og løse problemet med den normale Ubuntu, det kan jo også være kilden til nogle af de andre problemer du oplever.

I stedet for fglrx-update så prøv fglrx.

Du kunnen også også prøve med den seneste driver fra AMD:
http://support.amd.com/en-us/download/desktop?os=Linux+x86

nsl
Indlæg: 70
Tilmeldt: 17. apr 2014, 16:33
IRC nickname: nsl

Re: Skærm/Grafikkort R9 280X - fungerer ikke længere i 14.04

Indlægaf nsl » 7. feb 2015, 14:59

Hej igen,
og igen tak for svaret :-)

Jeg kan ikke få nogle af driverne til at installere - den siger, at "One or more files have been altered since installation." .. måske fordi jeg tidligere har prøvet at installere drivere fra AMD direkte. Og så kan den ikke åbne "/etc/ati/control" ..

Så jeg overvejer, som du foreslår, at opgradere til 14.10, men .. jeg var rigtig godt tilfreds med 14.04 LTS (indtil grafikken begyndte at drille med 280x grafikkortet) - den kører/kørte nemlig rigtig godt og stabilt :-)

Jeg læser lige lidt om installation ..
Det er noget med, at det er smart at installere systemet på sin egen disk .. Så det er nemmere at opgradere - og det bliver jo nødvendigt, hvis jeg skal til at bruge andet end LTS versioner :-)
./nick :-)

nsl
Indlæg: 70
Tilmeldt: 17. apr 2014, 16:33
IRC nickname: nsl

Re: Skærm/Grafikkort R9 280X - fungerer ikke længere i 14.04

Indlægaf nsl » 7. feb 2015, 15:39

Jeg prøvede lige en gang mere .. eller tre ..

Da jeg installerede AMD driveren, satte jeg (mod anbefalingen) en --force bagefter:

Kode: Vælg alt

sudo sh amd-driver-installer-14.501.1003-x86.x86_64.run --force

Og valgte driver installering og automatisk i ATI vinduet, der kom frem.

Nu ser det ud til at køre .. også i 60Hz på høj opløsning .. (efter en xrandr -r 60) ..

Så måske kan jeg vente lidt med at opgradere :-)

Men jeg takker mange gange for hjælpen :-)
./nick :-)

AJenbo
Admin
Indlæg: 20525
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Skærm/Grafikkort R9 280X - fungerer ikke længere i 14.04

Indlægaf AJenbo » 7. feb 2015, 16:23

Du har nok kommet til at installere driveren fra AMD oven på den der er i Ubuntu og der for kan du ikke fjerne den fra Ubuntu da den ikke stemmer overens med det den skal fjerne. Det betyder nok også at du ikke kan installere andre programmer fra pakke systemet. Fik du kørt den sidste kommando som jeg forslog, den skulle gerne fjerne driveren helt?

nsl skrev:Det er noget med, at det er smart at installere systemet på sin egen disk .. Så det er nemmere at opgradere - og det bliver jo nødvendigt, hvis jeg skal til at bruge andet end LTS versioner :-)

Det bliver ikke rigtig nemmer at opgradere, men det bliver lettere at installere systemet på en frisk og så bare genbruge hjemme mappen.

nsl
Indlæg: 70
Tilmeldt: 17. apr 2014, 16:33
IRC nickname: nsl

Re: Skærm/Grafikkort R9 280X - fungerer ikke længere i 14.04

Indlægaf nsl » 7. feb 2015, 22:43

Hej igen :-)

Du har sandsynligvis ret i, at jeg har overskrevet den medfølgende driver .. ups! Jeg håber ikke, at det giver for mange problemer fremadrettet.

Men det virkede med at afinstallere fglrx driverne - takker for kommandoen :-)
Men så havde jeg "kun" X.org driveren, som flimrede på min skærm, så jeg var nødt til at prøve noget mere med fglrx, og så brugte jeg til sidst den --force på "sudo sh amd-driver-installer-14.501.1003-x86.x86_64.run --force", og så virkede det med fglrx driveren igen - efter en genstart.

Men det kan være, at det giver problemer ved næste opdatering?
Så kan det være, at jeg går videre til 14.10 versionen, selvom jeg godt kan lide 14.04 :-)
./nick :-)

AJenbo
Admin
Indlæg: 20525
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Skærm/Grafikkort R9 280X - fungerer ikke længere i 14.04

Indlægaf AJenbo » 8. feb 2015, 00:36

De problemer jeg taler om er at installere/fjern/opdatere programmer.

Hvad får du hvis du køre:

Kode: Vælg alt

sudo apt-get install -f

nsl
Indlæg: 70
Tilmeldt: 17. apr 2014, 16:33
IRC nickname: nsl

Re: Skærm/Grafikkort R9 280X - fungerer ikke længere i 14.04

Indlægaf nsl » 8. feb 2015, 08:37

Lige nu giver det ikke noget:

Kode: Vælg alt

$ sudo apt-get install -f
Indlæser pakkelisterne... Færdig
Opbygger afhængighedstræ       
Læser tilstandsoplysninger... Færdig
0 opgraderes, 0 nyinstalleres, 0 afinstalleres og 0 opgraderes ikke.


Det, tænker jeg, er fint :-)
Kan jeg så med ro i sindet forvente, at det også virker ved næste hold programopdateringer? .. og næste gang, der kommer en linux-opdatering?
./nick :-)

Claus Henriksen
Forfatter
Indlæg: 783
Tilmeldt: 21. jan 2007, 17:45
Geografisk sted: Christianshavn

Re: Skærm/Grafikkort R9 280X - fungerer ikke længere i 14.04

Indlægaf Claus Henriksen » 8. feb 2015, 10:14

Du kan låse programversionen fast f. Eks. i Synaptic. Ellers kig efter hvad opgraderinger indeholder og fravælg det du ikke vil have inden du siger ok. Mht opdateringer kan du sætte det op så det kun er sikkerheds opdateringer du abonnerer på.
Vil du opdatere uden bøvl, dvs med fortrydelsesret, kan jeg anbefale dig at sætte dig ind i Clonezilla. Lidt omstændigt men du kender tidsforbruget. Og så har du også taget en backup hver gang.
Claus Gårde Henriksen / Jeg bruger ikke Ubuntu / Debian Stable 9 DK

AJenbo
Admin
Indlæg: 20525
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Skærm/Grafikkort R9 280X - fungerer ikke længere i 14.04

Indlægaf AJenbo » 8. feb 2015, 17:29

Det ser fint ud, det er svært at sige om det kan ske igen når vi ikke rigtigt ved hvad der er gået galt og kun har en mistanke om hvad det kunne være relateret til.

nsl
Indlæg: 70
Tilmeldt: 17. apr 2014, 16:33
IRC nickname: nsl

Re: Skærm/Grafikkort R9 280X - fungerer ikke længere i 14.04

Indlægaf nsl » 12. feb 2015, 16:26

@Claus:
Tak for dit indlæg :-) Jeg læser lidt op på opdatering af Ubuntu :-)

@AJenbo:
Også tak til dig :-) Du har ret - jeg har ikke helt styr over, hvad der gik galt hvornår .. til sidst prøvede jeg bare forskelligt, som jeg tænkte, måske, og måske ikke, ville virke.
./nick :-)

Tilbage til "Grafik og lyd"

Hvem er online

Brugere der læser dette forum: [Crawler] og 0 gæster